Subject: bug#16573: 24.3; Auctex (11.87.2) in Elpa issues hundreds of warnings on compile

From: Tassilo Horn <[email-masked]>
Date: Thu, 30 Jan 2014 14:21:41 +0100

Mosè Giordano <[email-masked]> writes:

>> And possibly adding requires would slow down the compilation process
>> quite a bit.  There are currently 144 style files.  As said, most of
>> them are rather short, but the tex, latex, and font-latex they'd need
>> to require are large (~14000 LOC in total).
>
> Is it possible to load `tex.el', `latex.el', and `font-latex.el' just
> once through command line before compiling all style files instead of
> adding a `require' in each file?

Our Makefile does just one emacs -f batch-byte-compile call passing all
*.el files as arguments, so even with many requires, each file will be
parsed only once.  And with the ELPA builds, I think it's the same
thing.

So my argument is not substantial.

Bye,
Tassilo